searchNodes=[{"doc":"INA219 Driver using Wafer.","ref":"INA219.html","title":"INA219","type":"module"},{"doc":"Acquire a connection to the INA219 device using the passed in I2C connection. Options: conn an I2C connection, probably from ElixirALE.I2C or Circuits.I2C . current_divisor see INA219.Commands for more information. power_divisor see INA219.Commands for more information.","ref":"INA219.html#acquire/1","title":"INA219.acquire/1","type":"function"},{"doc":"Retrieve the bus ADC resolution and averaging. Returns the number of samples and the resolution as a two element tuple. eg {1, 9} refers to 9-bit ADC resolution and 1-sample averaging.","ref":"INA219.html#bus_adc_resolution_and_averaging/1","title":"INA219.bus_adc_resolution_and_averaging/1","type":"function"},{"doc":"Set the bus ADC resolution and averaging. Expects a tuple of the form {samples, bits} . Be aware that changing this value affects the amount of time it takes to compute values. Refer to the datasheet for more information. Valid values are: { 1, 9} - 1 sample averaging and 9 bit ADC resolution. { 1, 10} - 1 sample averaging and 10 bit ADC resolution. { 1, 11} - 1 sample averaging and 11 bit ADC resolution. { 1, 12} - 1 sample averaging and 12 bit ADC resolution. { 2, 12} - 2 sample averaging and 12 bit ADC resolution. { 4, 12} - 4 sample averaging and 12 bit ADC resolution. { 8, 12} - 8 sample averaging and 12 bit ADC resolution. { 16, 12} - 16 sample averaging and 12 bit ADC resolution. { 32, 12} - 32 sample averaging and 12 bit ADC resolition. { 64, 12} - 64 sample averaging and 12 bit ADC resolution. {128, 12} - 128 sample averaging and 12 bit ADB resolution.","ref":"INA219.html#bus_adc_resolution_and_averaging/2","title":"INA219.bus_adc_resolution_and_averaging/2","type":"function"},{"doc":"Returns the bus voltage in V.","ref":"INA219.html#bus_voltage/1","title":"INA219.bus_voltage/1","type":"function"},{"doc":"Retrieve the configured bus voltage range.","ref":"INA219.html#bus_voltage_range/1","title":"INA219.bus_voltage_range/1","type":"function"},{"doc":"Set the configured bus voltage range to either 16 or 32V.","ref":"INA219.html#bus_voltage_range/2","title":"INA219.bus_voltage_range/2","type":"function"},{"doc":"Get the calibration value.","ref":"INA219.html#calibrate/1","title":"INA219.calibrate/1","type":"function"},{"doc":"Set the calibration value.","ref":"INA219.html#calibrate/2","title":"INA219.calibrate/2","type":"function"},{"doc":"This is a convenient helper function to set the configuration to the right values for 16V input and 400mA current range at the highest resolution (0.1mA). This only works for devices with a 0.1Ω shunt resistor (ie Adafruit's breakout). Make sure that you configure your device with a current_divisor of 20 and a power_divisor of 1 .","ref":"INA219.html#calibrate_16V_400mA/1","title":"INA219.calibrate_16V_400mA/1","type":"function"},{"doc":"This is a convenient helper function to set the configuration to the right values for 32V input voltage range and 1A current range at the cost of accuracy. This only works for devices with a 0.1Ω shunt resistor (ie Adafruit's breakout). Make sure that you configure your device with a current_divisor of 25 and a power_divisor of 1 .","ref":"INA219.html#calibrate_32V_1A/1","title":"INA219.calibrate_32V_1A/1","type":"function"},{"doc":"This is a convenient helper function to set the configuration to the right values for 32V input voltage range and 2A current range at the cost of accuracy. This only works for devices with a 0.1Ω shunt resistor (ie Adafruit's breakout). Make sure that you configure your device with a current_divisor of 10 and a power_divisor of 2 .","ref":"INA219.html#calibrate_32V_2A/1","title":"INA219.calibrate_32V_2A/1","type":"function"},{"doc":"Are new samples ready since the last time you read them? Calling this function will clear the value until next time new samples are ready.","ref":"INA219.html#conversion_ready?/1","title":"INA219.conversion_ready?/1","type":"function"},{"doc":"Returns the current in mA.","ref":"INA219.html#current/1","title":"INA219.current/1","type":"function"},{"doc":"Returns true when power or current calculations are out of range. This indicates that current and power data may be meaningless.","ref":"INA219.html#math_overflow?/1","title":"INA219.math_overflow?/1","type":"function"},{"doc":"Retrieve the current operating mode of the device.","ref":"INA219.html#mode/1","title":"INA219.mode/1","type":"function"},{"doc":"Set the current operating mode for the device. Valid values are: :power_down :shunt_voltage_triggered :bus_voltage_triggered :adc_off :shunt_voltage_continuous :bus_voltage_continuous :shunt_and_bus_voltage_continuous","ref":"INA219.html#mode/2","title":"INA219.mode/2","type":"function"},{"doc":"Returns the power in mW","ref":"INA219.html#power/1","title":"INA219.power/1","type":"function"},{"doc":"Power-on-reset the device,","ref":"INA219.html#reset/1","title":"INA219.reset/1","type":"function"},{"doc":"Retrieve the shunt ADC resolution. Returns the number of samples and the resolution as a two element tuple. eg {1, 9} refers to 9-bit ADC resolution and 1-sample averaging.","ref":"INA219.html#shunt_adc_resolution_and_averaging/1","title":"INA219.shunt_adc_resolution_and_averaging/1","type":"function"},{"doc":"Set the shunt ADC resolution and averaging. Expects a tuple of the form {samples, bits} . Be aware that changing this value affects the amount of time it takes to compute values. Refer to the datasheet for more information. Valid values are: { 1, 9} - 1 sample averaging and 9 bit ADC resolution. { 1, 10} - 1 sample averaging and 10 bit ADC resolution. { 1, 11} - 1 sample averaging and 11 bit ADC resolution. { 1, 12} - 1 sample averaging and 12 bit ADC resolution. { 2, 12} - 2 sample averaging and 12 bit ADC resolution. { 4, 12} - 4 sample averaging and 12 bit ADC resolution. { 8, 12} - 8 sample averaging and 12 bit ADC resolution. { 16, 12} - 16 sample averaging and 12 bit ADC resolution. { 32, 12} - 32 sample averaging and 12 bit ADC resolition. { 64, 12} - 64 sample averaging and 12 bit ADC resolution. {128, 12} - 128 sample averaging and 12 bit ADB resolution.","ref":"INA219.html#shunt_adc_resolution_and_averaging/2","title":"INA219.shunt_adc_resolution_and_averaging/2","type":"function"},{"doc":"Returns the shunt voltage in mV.","ref":"INA219.html#shunt_voltage/1","title":"INA219.shunt_voltage/1","type":"function"},{"doc":"Retrieve the configured shunt voltage PGA. Returns the gain value. Valid values are: 1 - gain 1, range +40mV. 2 - gain +2, range +80mV. 4 - gain +4, range +160mV. 8 - gain +8, range +320mV.","ref":"INA219.html#shunt_voltage_pga/1","title":"INA219.shunt_voltage_pga/1","type":"function"},{"doc":"Set the configured shunt voltage PGA to a configured value. Valid values are: 1 - gain 1, range +40mV. 2 - gain +2, range +80mV. 4 - gain +4, range +160mV. 8 - gain +8, range +320mV.","ref":"INA219.html#shunt_voltage_pga/2","title":"INA219.shunt_voltage_pga/2","type":"function"},{"doc":"","ref":"INA219.html#t:acquire_option/0","title":"INA219.acquire_option/0","type":"type"},{"doc":"","ref":"INA219.html#t:acquire_options/0","title":"INA219.acquire_options/0","type":"type"},{"doc":"","ref":"INA219.html#t:milliamps/0","title":"INA219.milliamps/0","type":"type"},{"doc":"","ref":"INA219.html#t:millivolts/0","title":"INA219.millivolts/0","type":"type"},{"doc":"","ref":"INA219.html#t:milliwatts/0","title":"INA219.milliwatts/0","type":"type"},{"doc":"","ref":"INA219.html#t:operating_mode/0","title":"INA219.operating_mode/0","type":"type"},{"doc":"","ref":"INA219.html#t:sample_averaging/0","title":"INA219.sample_averaging/0","type":"type"},{"doc":"","ref":"INA219.html#t:sample_resolution/0","title":"INA219.sample_resolution/0","type":"type"},{"doc":"","ref":"INA219.html#t:shunt_voltage_pga/0","title":"INA219.shunt_voltage_pga/0","type":"type"},{"doc":"","ref":"INA219.html#t:t/0","title":"INA219.t/0","type":"type"},{"doc":"","ref":"INA219.html#t:volts/0","title":"INA219.volts/0","type":"type"},{"doc":"The INA219 uses a bank of registers for holding configuration settings, measurement results, maximum/minimum limits, and status information. Registers Configuration register All-register reset, settings for bus voltage range, PGA Gain, ADC resolution/averaging. Read write. Shunt Voltage register Shunt voltage measurement data. Read only. Bus Voltage register Bus voltage measurement data. Read-only, Power register Power measurement data. Read only. Current register Contains the value of the current flowing through the shunt resistor. Read only. Calibration register Sets full-scale range and LSB of current and power measurements. Overall system calibration. Read write.","ref":"INA219.Registers.html","title":"INA219.Registers","type":"module"},{"doc":"Read the contents of the bus_voltage register. Example iex&gt; read_bus_voltage ( conn ) { :ok , &lt;&lt; 0 , 0 &gt;&gt; }","ref":"INA219.Registers.html#read_bus_voltage/1","title":"INA219.Registers.read_bus_voltage/1","type":"function"},{"doc":"Read the contents of the calibration register. Example iex&gt; read_calibration ( conn ) { :ok , &lt;&lt; 0 , 0 &gt;&gt; }","ref":"INA219.Registers.html#read_calibration/1","title":"INA219.Registers.read_calibration/1","type":"function"},{"doc":"Read the contents of the configuration register. Example iex&gt; read_configuration ( conn ) { :ok , &lt;&lt; 0 , 0 &gt;&gt; }","ref":"INA219.Registers.html#read_configuration/1","title":"INA219.Registers.read_configuration/1","type":"function"},{"doc":"Read the contents of the current register. Example iex&gt; read_current ( conn ) { :ok , &lt;&lt; 0 , 0 &gt;&gt; }","ref":"INA219.Registers.html#read_current/1","title":"INA219.Registers.read_current/1","type":"function"},{"doc":"Read the contents of the power register. Example iex&gt; read_power ( conn ) { :ok , &lt;&lt; 0 , 0 &gt;&gt; }","ref":"INA219.Registers.html#read_power/1","title":"INA219.Registers.read_power/1","type":"function"},{"doc":"Read the contents of the shunt_voltage register. Example iex&gt; read_shunt_voltage ( conn ) { :ok , &lt;&lt; 0 , 0 &gt;&gt; }","ref":"INA219.Registers.html#read_shunt_voltage/1","title":"INA219.Registers.read_shunt_voltage/1","type":"function"},{"doc":"Swap the contents of the calibration register. Reads the contents of the register, then replaces it, returning the previous contents. Some drivers may implement this atomically. Example iex&gt; swap_calibration ( conn , &lt;&lt; 0 , 0 &gt;&gt; ) { :ok , &lt;&lt; 0 , 0 &gt;&gt; , _conn }","ref":"INA219.Registers.html#swap_calibration/2","title":"INA219.Registers.swap_calibration/2","type":"function"},{"doc":"Swap the contents of the configuration register. Reads the contents of the register, then replaces it, returning the previous contents. Some drivers may implement this atomically. Example iex&gt; swap_configuration ( conn , &lt;&lt; 0 , 0 &gt;&gt; ) { :ok , &lt;&lt; 0 , 0 &gt;&gt; , _conn }","ref":"INA219.Registers.html#swap_configuration/2","title":"INA219.Registers.swap_configuration/2","type":"function"},{"doc":"Update the contents of the calibration register using a transformation function. Example iex&gt; transform = fn &lt;&lt; data :: size ( 16 ) &gt;&gt; -&gt; &lt;&lt; ( data * 2 ) :: size ( 16 ) &gt;&gt; end ...&gt; update_calibration ( conn , transform ) { :ok , _conn }","ref":"INA219.Registers.html#update_calibration/2","title":"INA219.Registers.update_calibration/2","type":"function"},{"doc":"Update the contents of the configuration register using a transformation function. Example iex&gt; transform = fn &lt;&lt; data :: size ( 16 ) &gt;&gt; -&gt; &lt;&lt; ( data * 2 ) :: size ( 16 ) &gt;&gt; end ...&gt; update_configuration ( conn , transform ) { :ok , _conn }","ref":"INA219.Registers.html#update_configuration/2","title":"INA219.Registers.update_configuration/2","type":"function"},{"doc":"Write new contents to the calibration register. Example iex&gt; write_calibration ( conn , &lt;&lt; 0 , 0 &gt;&gt; ) { :ok , _conn }","ref":"INA219.Registers.html#write_calibration/2","title":"INA219.Registers.write_calibration/2","type":"function"},{"doc":"Write new contents to the configuration register. Example iex&gt; write_configuration ( conn , &lt;&lt; 0 , 0 &gt;&gt; ) { :ok , _conn }","ref":"INA219.Registers.html#write_configuration/2","title":"INA219.Registers.write_configuration/2","type":"function"}]